## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-datalake-store

Name:           python-%{srcname}
Version:        0.5.0
Release:        %autorelease
Summary:        Microsoft Azure Datalake Store Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
Patch0:         remove-custom-wheel-builder.patch

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel


%global _description %{expand:
Microsoft Azure Datalake Store Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove the customized wheel builder included by Microsoft that adds
# azure-mgmt-nspkg to the requirements.
rm -f azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/datalake/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/datalake/store
%{python3_sitelib}/azure_mgmt_datalake_store-%{version}.dist-info


%changelog
* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:0.5.0-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:0.5.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.5.0-2
- Add HISTORY.rst to %docs

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.5.0-1
- Downgrade to 0.5.0 w/Epoch

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 0.5.0-1
- Revert "Update to 1.0.0"

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 1.0.0-1
- Update to 1.0.0

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> 0.5.0-3
- Remove unneccessary __init__.py files to avoid file conflicts

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> 0.5.0-2
- Remove custom wheel builder

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 0.5.0-1
- Initial import (#1971751)
